<?php

/**
 * Fired during plugin activation
 *
 * @link       https://example.com
 * @since      1.0.0
 *
 * @package    Polkurier
 * @subpackage Polkurier/includes
 */

use Polkurier\Upgrade\DatabaseUpgrade;

require_once(ABSPATH . '/wp-admin/includes/upgrade.php');
require_once(__DIR__ . '/PolkurierAPI.php');


/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    Polkurier
 * @subpackage Polkurier/includes
 * @author     Polkurier <test@example.com>
 */
class Polkurier_Activator
{

    /**
     * Short Description. (use period)
     *
     * Long Description.
     *
     * @since    1.0.0
     */
    public static function activate()
    {
        (new DatabaseUpgrade())->doUpgrade();
        add_option( 'pk_plugin_version', POLKURIER_PLUGIN_VERSION);
    }

}
