<?php

namespace Polkurier\Blocks;

use Polkurier;
use Polkurier\Controller\CheckoutController;
use Polkurier\Http\Request;
use Polkurier\Util\Arr;

class WooCommerceBlocksManager
{

    /**
     * @var Polkurier
     */
    private $polkurier;

    public function __construct(Polkurier $polkurier)
    {
        $this->polkurier = $polkurier;
    }

    public function initialize()
    {
        // Rejestruje integrację z WC Blocks
        add_action('woocommerce_blocks_checkout_block_registration', function ($integration_registry) {
            $integration_registry->register(new WooCommerceCheckoutIntegration());
        });

        // Rejestruje zapis zmian na froncie
        add_action('woocommerce_blocks_loaded', function () {
            woocommerce_store_api_register_update_callback([
                'namespace' => $this->polkurier->get_plugin_name(),
                'callback' => function ($data) {
                    (new CheckoutController())->handleStoreUpdateCallback(
                        (string)Arr::get($data, 'action'),
                        new Request((array)Arr::get($data, 'data'))
                    );
                }
            ]);
        });
    }

}
