<?php

namespace Polkurier\Controller;


use Polkurier\Http\JsonResponse;
use Polkurier\Http\Request;
use PolkurierAddress;

class AddressesController
{

    public function indexAction(Request $request)
    {
        return new JsonResponse(array_merge(
            $this->getAddresses(),
            $this->getCoverAddresses()
        ));
    }

    private function getAddresses()
    {
        /**
         * @var PolkurierAddress[] $addresses
         */
        $addresses = get_option('polkurier_addresses');
        if (!is_array($addresses)) {
            return [];
        }

        $shouldSave = false;
        foreach ($addresses as $address) {
            $address->cover_address = false;
            if (empty($address->uuid)) {
                $address->uuid = sha1(uniqid('polkurier_addresses', true));
                $shouldSave = true;
            }
        }

        if ($shouldSave) {
            update_option('polkurier_addresses', $addresses);
        }

        return $addresses;
    }

    private function getCoverAddresses()
    {
        /**
         * @var PolkurierAddress[] $addresses
         */
        $addresses = get_option("polkurier_cover_addresses");
        if (!is_array($addresses)) {
            return [];
        }

        $shouldSave = false;
        foreach ($addresses as $address) {
            $address->cover_address = true;
            if (empty($address->uuid)) {
                $address->uuid = sha1(uniqid('polkurier_addresses', true));
                $shouldSave = true;
            }
        }

        if ($shouldSave) {
            update_option('polkurier_cover_addresses', $addresses);
        }
        return $addresses;
    }

}
