<?php

namespace Polkurier\Controller;


use Polkurier\ApiClient;
use Polkurier\Http\ErrorJsonResponse;
use Polkurier\Http\JsonResponse;
use Polkurier\Http\Request;

class CourierPickupController
{

    /**
     * @param Request $request
     * @return JsonResponse
     */
    public function indexAction(Request $request)
    {
        try {
            return new JsonResponse(
                ApiClient::getInstance()->makeApiRequest('get_courier_pickup_time', [
                    'courier' => $request->request->getString('courier'),
                    'shipfrom' => $request->request->getString('shipfrom'),
                    'shipto' => $request->request->getString('shipto'),
                    'parcel' => $request->request->getString('parcel'),
                ])
            );
        } catch (\Exception $e) {
            return ErrorJsonResponse::createFromException($e);
        }
    }

}
