<?php


namespace Polkurier\Http;


use Polkurier\Util\ParameterBag;

class Request
{

    /**
     * @var ParameterBag
     */
    public $query;

    /**
     * @var ParameterBag
     */
    public $request;

    /**
     * @var string
     */
    public $method;

    /**
     * Response constructor.
     */
    public function __construct($request = null, $query = null, $method = null)
    {
        $this->request = new ParameterBag($request !== null ? $request : $_POST);
        $this->query = new ParameterBag($query !== null ? $query : $_GET);
        $this->method = $method !== null ? $method : $_SERVER['REQUEST_METHOD'];
    }

    /**
     * @param string $key
     * @param $default
     * @return array|mixed|null
     */
    public function getQuery($key = null, $default = null)
    {
        if ($key === null) {
            return $this->query->all();
        }
        return $this->query->get($key, $default);
    }

    /**
     * @param string $key
     * @param $default
     * @return array|mixed|null
     */
    public function getRequest($key = null, $default = null)
    {
        if ($key === null) {
            return $this->request->all();
        }
        return $this->request->get($key, $default);
    }

    /**
     * @return mixed
     */
    public function getMethod()
    {
        return $this->method;
    }

    /**
     * @return bool
     */
    public function isPost()
    {
        return $this->method === 'POST';
    }

}
