<?php

namespace Polkurier\ShipmentTemplate;

use JsonSerializable;
use Polkurier\Types\PackType;
use Polkurier\Types\ShipmentType;

class ShipmentTemplate implements JsonSerializable
{

    /**
     * @var string
     */
    public $id = null;

    /**
     * @var string
     */
    public $name = '';

    /**
     * @var string
     */
    public $courier = '';

    /**
     * @var float
     */
    public $length = 0.0;

    /**
     * @var float
     */
    public $width = 0.0;

    /**
     * @var float
     */
    public $height = 0.0;

    /**
     * @var float
     */
    public $weight = 0.0;

    /**
     * @var int
     */
    public $amount = 1;

    /**
     * @var bool
     */
    public $default = false;

    /**
     * @var string
     */
    public $type = PackType::ST;

    /**
     * @var string
     */
    public $shipment_type = ShipmentType::BOX;

    #[\ReturnTypeWillChange]
    public function jsonSerialize()
    {
        return [
            'id' => $this->id,
            'name' => $this->name,
            'courier' => $this->courier,
            'length' => $this->length,
            'width' => $this->width,
            'height' => $this->height,
            'weight' => $this->weight,
            'amount' => $this->amount,
            'default' => $this->default,
            'shipment_type' => $this->shipment_type,
            'type' => $this->type,
        ];
    }

}
