<?php

namespace Polkurier\Upgrade\Migrations;

use Polkurier\Upgrade\DatabaseMigrationInterface;

class MigrateFrom0To1 implements DatabaseMigrationInterface
{

    public function fromVersion()
    {
        return 0;
    }

    public function toVersion()
    {
        return 1;
    }

    public function doUpgrade()
    {
        global $wpdb;
        $orders = get_option('polkurier_orders');
        if (!empty($orders)) {
            foreach ((array)$orders as $order) {

                $order->address->fromArray(array_merge($order->address->address, [
                    'id' => $order->address->id,
                ]));

                $order->address_to->fromArray(array_merge($order->address_to->address, [
                    'id' => $order->address->id,
                ]));

                $wpdb->insert($wpdb->prefix . 'polkurier_orders', [
                    'wp_order_id' => $order->params['wp_order_id'],
                    'order_number' => $order->params['order_number'],
                    'label' => json_encode($order->params['label']),
                    'price_gross' => (string)$order->params['price_gross'],
                    'price_net' => (string)$order->params['price_net'],
                    'carrier' => $order->params['carrier'],
                    'address' => json_encode($order->params['address'], JSON_FORCE_OBJECT),
                    'address_to' => json_encode($order->params['address_to'], JSON_FORCE_OBJECT),
                    'pobranie' => $order->params['pobranie'],
                    'extra' => json_encode($order->params['extra'], JSON_FORCE_OBJECT),
                    'date_created' => date('Y-m-d H:i:s')
                ]);
            }
        }
    }

}
