<?php

namespace Polkurier\Controller;

use Polkurier\Http\Request;

class CheckoutController extends AbstractStoreUpdateController
{

    protected function select_delivery_point(Request $request)
    {
        $pointId = (string)$request->getRequest('id');
        if (!empty($pointId)) {
            $point = [
                'id' => sanitize_text_field($pointId),
                'provider' => sanitize_text_field($request->getRequest('provider')),
                'type' => sanitize_text_field($request->getRequest('type')),
                'address' => sanitize_text_field($request->getRequest('address')),
                'cod' => $request->getRequest('cod') === true,
                'label' => sanitize_textarea_field($request->getRequest('label')),
            ];
        } else {
            $point = null;
        }
        WC()->session->set(\Polkurier::instance()->get_plugin_name() . '_delivery_point', $point);
    }

    protected function set_payment_method(Request $request)
    {
        WC()->session->set('chosen_payment_method', (string)$request->getRequest('method'));
    }

}
