<?php


namespace Polkurier\Http;


use Polkurier\Util\Arr;

class Request
{

    private $query;

    /**
     * @var int
     */
    private $request;

    /**
     * @var
     */
    private $method;

    /**
     * Response constructor.
     */
    public function __construct(array $request = null, array $query = null, $method = null)
    {
        $this->request = $request !== null ? $request : $_POST;
        $this->query = $query !== null ? $query : $_GET;
        $this->method = $method !== null ? $method : $_SERVER['REQUEST_METHOD'];
    }

    /**
     * @param string $key
     * @param $default
     * @return array|mixed|null
     */
    public function getQuery($key = null, $default = null)
    {
        if ($key === null) {
            return $this->query;
        }
        return Arr::get($this->query, $key, $default);
    }


    /**
     * @param string $key
     * @param $default
     * @return array|mixed|null
     */
    public function getRequest($key = null, $default = null)
    {
        if ($key === null) {
            return $this->request;
        }
        return Arr::get($this->request, $key, $default);
    }

    /**
     * @return mixed
     */
    public function getMethod()
    {
        return $this->method;
    }

    /**
     * @return bool
     */
    public function isPost()
    {
        return $this->method === 'POST';
    }

}
